***********
* MON/PRI *
***********
USE PACNAMES
INDEX ON FMT:CODE + FMT:AFKG TO INGANG  
USE PACNAMES INDEX INGANG   
SET CONFIRM OFF   
SET TALK OFF
ERASE
@ 3,24 SAY "***************************************"
@ 4,24 SAY "*                                     *"
@ 5,24 SAY "*  DIT PROGRAMMA GEEFT DE INHOUD VAN  *" 
@ 6,24 SAY "*       HET FORMAT/BESTAND WEER       *"
@ 7,24 SAY "*          U KUNT KIEZEN UIT:         *"
@ 8,24 SAY "*                                     *"
@ 9,24 SAY "*  - HET BEELDSCHERM                  *"
@ 10,24 SAY "*  - EEN PRINTOUT                     *"
@ 11,24 SAY "***************************************"
@ 13,24 SAY "  DRUK RETURN  VOOR MEER INFORMATIE "        
WAIT TO RETURN
ERASE
@ 4,29 SAY "**********************"
@ 5,29 SAY "* DE KEUZE IS AAN U: *"
@ 6,29 SAY "**********************"
@ 8,21 SAY "DE gehele inhoud VAN HET BESTAND ?"
@ 9,19 SAY "EEN bepaalde selektie VAN HET BESTAND ?"
@ 11,19 SAY "HIERVOOR STAAN 2 MENU'S TER BESCHIKKING"
@ 16,13 SAY "***********************************************************"
@ 17,13 SAY "* TYPE EEN TOETS VOOR UW EERSTE MENU EN MAAK DAN UW KEUZE *"
@ 18,13 SAY "***********************************************************"
WAIT TO TOETS
ERASE
@ 10,33 SAY "------>MENU<-------"
@ 12,33 SAY "|1) selektie      |"
@ 13,33 SAY "|2) gehele inhoud |"                     
@ 14,33 SAY "-------------------"
WAIT TO CHOICE
DO WHILE CHOICE <>"1" .AND. CHOICE <>"2"
         @ 10,30 SAY "ONGELDIGE KEUZE"
         WAIT TO CHOICE
ENDDO
ERASE
@ 5,26 SAY " MET DIT MENU KUNT U BEPALEN "
@ 6,26 SAY " HOE U DE INFORMATIE WILT HEBBEN"
DO WHILE CHOICE ="1"
   @ 11,31 SAY "************************"
   @ 12,31 SAY "1) MONITOR"
   @ 13,31 SAY "2) PRINTOUT"
   @ 14,31 SAY "3) STOP: TERUG NAAR MENU"
   @ 15,31 SAY "************************"
WAIT TO TOM
ERASE
IF TOM ="1"
      @ 11,31 SAY "********************"
      @ 12,31 SAY "* VIA WELKE INGANG *"
      @ 13,31 SAY "* 1) FORMAT/CODE   *"
      @ 14,31 SAY "* 2) AFKORTING     *"
      @ 15,31 SAY "********************"
      WAIT TO N
      ERASE
      IF N="1"
      ACCEPT "FORMAT/CODE?" TO D
      DISPLAY OFF ALL FOR FMT:CODE = D
      @ 20,30 say "----->press return<-----"
      wait to press                                                                                      
      ENDIF
      ERASE
      IF N="2"
      ACCEPT "HOE LUID DE AFKORTING ?" TO F
      DISPLAY OFF ALL FOR FMT:AFKG = F
      ENDIF
ENDIF
IF TOM ="2"
     @ 11,31 SAY "********************"
     @ 12,31 SAY "* VIA WELKE INGANG *"
     @ 13,31 SAY "* 1) FORMAT/CODE   *"
     @ 14,31 SAY "* 2) AFKORTING     *"
     @ 15,31 SAY "********************"
     WAIT TO M
     ERASE
     IF M ="1"
              ACCEPT "FORMAT/CODE?" TO E
              REPORT FORM FMTS  FOR FMT:CODE =E TO PRINT
     ENDIF
      ERASE
     IF M="2"
              ACCEPT "HOE LUIDT DE AFKORTING ?" TO E
              REPORT FORM FMTS  FOR FMT:AFKG =E TO PRINT
              ERASE     
     ENDIF 
ENDIF
IF TOM ="3"
       DO FMTNAMES
       ENDIF
ENDDO         
DO WHILE CHOICE ="2"
       @ 11,31 SAY "************************"
       @ 12,31 SAY "1) MONITOR              "
       @ 13,31 SAY "2) PRINTOUT             "
       @ 14,31 SAY "3) STOP: TERUG NAAR MENU"
       @ 15,31 SAY "************************"
WAIT TO TON   
ERASE
IF TON ="1"
      DISPLAY OFF ALL            
      if eof
      @ 19,60 SAY "****************"
      @ 20,60 SAY "* PRESS RETURN *"
      @ 21,60 SAY "****************"      
WAIT TO RETURN
      endif
      ERASE
      ENDIF
   IF TON ="2"
      SET EJECT OFF
      REPORT FORM FMTS TO PRINT
      ? "PRESS RETURN"
      WAIT TO RETURN
      ERASE     
ENDIF
   IF TON ="3"
      DO FMTNAMES
      ENDIF
ENDDO
SET TALK ON
SET CONFIRM ON
RETURN

                   
                         
        













